/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model162
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model162 {
  @SerializedName("external_policy_number")
  private String externalPolicyNumber = null;

  @SerializedName("subscription_country")
  private String subscriptionCountry = null;

  @SerializedName("quote_code")
  private String quoteCode = null;

  @SerializedName("sales_information")
  private SalesInformation salesInformation = null;

  @SerializedName("price")
  private Model155 price = null;

  @SerializedName("policy_holder")
  private Model158 policyHolder = null;

  @SerializedName("beneficiaries")
  private Model160 beneficiaries = null;

  @SerializedName("consents")
  private Model161 consents = null;

  @SerializedName("payment")
  private Payment payment = null;

  public Model162 externalPolicyNumber(String externalPolicyNumber) {
    this.externalPolicyNumber = externalPolicyNumber;
    return this;
  }

   /**
   * External policy identifier that can be provided by the partner.
   * @return externalPolicyNumber
  **/
  @ApiModelProperty(value = "External policy identifier that can be provided by the partner.")
  public String getExternalPolicyNumber() {
    return externalPolicyNumber;
  }

  public void setExternalPolicyNumber(String externalPolicyNumber) {
    this.externalPolicyNumber = externalPolicyNumber;
  }

  public Model162 subscriptionCountry(String subscriptionCountry) {
    this.subscriptionCountry = subscriptionCountry;
    return this;
  }

   /**
   * Country where the customer subscribes the policy, ISO-3166-1 alpha-2 format (2 letter codes).
   * @return subscriptionCountry
  **/
  @ApiModelProperty(example = "fr", value = "Country where the customer subscribes the policy, ISO-3166-1 alpha-2 format (2 letter codes).")
  public String getSubscriptionCountry() {
    return subscriptionCountry;
  }

  public void setSubscriptionCountry(String subscriptionCountry) {
    this.subscriptionCountry = subscriptionCountry;
  }

  public Model162 quoteCode(String quoteCode) {
    this.quoteCode = quoteCode;
    return this;
  }

   /**
   * Quote code, partner can use a default value if provided by AXA or got it with quoting API.
   * @return quoteCode
  **/
  @ApiModelProperty(example = "d41d8cd98f00b204e9800998ecf8427e", required = true, value = "Quote code, partner can use a default value if provided by AXA or got it with quoting API.")
  public String getQuoteCode() {
    return quoteCode;
  }

  public void setQuoteCode(String quoteCode) {
    this.quoteCode = quoteCode;
  }

  public Model162 salesInformation(SalesInformation salesInformation) {
    this.salesInformation = salesInformation;
    return this;
  }

   /**
   * Get salesInformation
   * @return salesInformation
  **/
  @ApiModelProperty(value = "")
  public SalesInformation getSalesInformation() {
    return salesInformation;
  }

  public void setSalesInformation(SalesInformation salesInformation) {
    this.salesInformation = salesInformation;
  }

  public Model162 price(Model155 price) {
    this.price = price;
    return this;
  }

   /**
   * Get price
   * @return price
  **/
  @ApiModelProperty(required = true, value = "")
  public Model155 getPrice() {
    return price;
  }

  public void setPrice(Model155 price) {
    this.price = price;
  }

  public Model162 policyHolder(Model158 policyHolder) {
    this.policyHolder = policyHolder;
    return this;
  }

   /**
   * Get policyHolder
   * @return policyHolder
  **/
  @ApiModelProperty(required = true, value = "")
  public Model158 getPolicyHolder() {
    return policyHolder;
  }

  public void setPolicyHolder(Model158 policyHolder) {
    this.policyHolder = policyHolder;
  }

  public Model162 beneficiaries(Model160 beneficiaries) {
    this.beneficiaries = beneficiaries;
    return this;
  }

   /**
   * Get beneficiaries
   * @return beneficiaries
  **/
  @ApiModelProperty(value = "")
  public Model160 getBeneficiaries() {
    return beneficiaries;
  }

  public void setBeneficiaries(Model160 beneficiaries) {
    this.beneficiaries = beneficiaries;
  }

  public Model162 consents(Model161 consents) {
    this.consents = consents;
    return this;
  }

   /**
   * Get consents
   * @return consents
  **/
  @ApiModelProperty(value = "")
  public Model161 getConsents() {
    return consents;
  }

  public void setConsents(Model161 consents) {
    this.consents = consents;
  }

  public Model162 payment(Payment payment) {
    this.payment = payment;
    return this;
  }

   /**
   * Get payment
   * @return payment
  **/
  @ApiModelProperty(value = "")
  public Payment getPayment() {
    return payment;
  }

  public void setPayment(Payment payment) {
    this.payment = payment;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model162 model162 = (Model162) o;
    return Objects.equals(this.externalPolicyNumber, model162.externalPolicyNumber) &&
        Objects.equals(this.subscriptionCountry, model162.subscriptionCountry) &&
        Objects.equals(this.quoteCode, model162.quoteCode) &&
        Objects.equals(this.salesInformation, model162.salesInformation) &&
        Objects.equals(this.price, model162.price) &&
        Objects.equals(this.policyHolder, model162.policyHolder) &&
        Objects.equals(this.beneficiaries, model162.beneficiaries) &&
        Objects.equals(this.consents, model162.consents) &&
        Objects.equals(this.payment, model162.payment);
  }

  @Override
  public int hashCode() {
    return Objects.hash(externalPolicyNumber, subscriptionCountry, quoteCode, salesInformation, price, policyHolder, beneficiaries, consents, payment);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model162 {\n");
    
    sb.append("    externalPolicyNumber: ").append(toIndentedString(externalPolicyNumber)).append("\n");
    sb.append("    subscriptionCountry: ").append(toIndentedString(subscriptionCountry)).append("\n");
    sb.append("    quoteCode: ").append(toIndentedString(quoteCode)).append("\n");
    sb.append("    salesInformation: ").append(toIndentedString(salesInformation)).append("\n");
    sb.append("    price: ").append(toIndentedString(price)).append("\n");
    sb.append("    policyHolder: ").append(toIndentedString(policyHolder)).append("\n");
    sb.append("    beneficiaries: ").append(toIndentedString(beneficiaries)).append("\n");
    sb.append("    consents: ").append(toIndentedString(consents)).append("\n");
    sb.append("    payment: ").append(toIndentedString(payment)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

